MCP Gateway
ApiPortal

Get portal stats

Get aggregated usage stats for the portal home page including trending servers and trending tools.

GET
/api/v1/portal/stats

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/portal/stats"
{
  "trending_servers": [
    {
      "id": "string",
      "name": "string",
      "display_name": "string",
      "call_count": 0
    }
  ],
  "trending_tools": [
    {
      "tool_name": "string",
      "server_name": "string",
      "server_id": "string",
      "call_count": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}